Bug 883576 - [abrt]: BUG: Bad page map in process JS GC Helper pte:200000000000000 pmd:390ebc067
Summary: [abrt]: BUG: Bad page map in process JS GC Helper pte:200000000000000 pmd:39...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0d0199a1c5fb48e3e9e00c908e5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 22:12 UTC by Jon Emil Jahren
Modified: 2013-03-12 19:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 19:25:32 UTC
Type: ---


Attachments (Terms of Use)

Description Jon Emil Jahren 2012-12-04 22:12:59 UTC
Description of problem:
Just browsing the web with firefox. The cpu should be mostly idleing.

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.8-2.fc17.x86_64 root=/dev/mapper/vg_beist-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_beist/lv_root KEYTABLE=us rd.luks.uuid=luks-d54ee62c-b101-4420-a659-5f78ea8c3567 rd.lvm.lv=vg_beist/lv_swap SYSFONT=True LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.8-2.fc17.x86_64

backtrace:
:BUG: Bad page map in process JS GC Helper  pte:200000000000000 pmd:390ebc067
:addr:00007f87806b6000 vm_flags:00100073 anon_vma:ffff880414ee1318 mapping:          (null) index:7f87806b6
:Pid: 2423, comm: JS GC Helper Not tainted 3.6.8-2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8115155c>] print_bad_pte+0x1dc/0x250
: [<ffffffff8115372d>] unmap_single_vma+0x5bd/0x870
: [<ffffffff8115428e>] zap_page_range+0x9e/0x100
: [<ffffffff81150d73>] sys_madvise+0x263/0x740
: [<ffffffff8115b118>] ? do_munmap+0x328/0x400
: [<ffffffff810d860c>] ? __audit_syscall_entry+0xcc/0x300
: [<ffffffff810d8c2c>] ? __audit_syscall_exit+0x3ec/0x450
: [<ffffffff81626e69>] system_call_fastpath+0x16/0x1b

Comment 1 Dave Jones 2012-12-11 17:12:07 UTC
can you paste an lsmod from this system ?

Comment 2 Jon Emil Jahren 2012-12-12 18:36:26 UTC
Sorry for the late reply, here it is:

Module                  Size  Used by
fuse                   78033  3 
ebtable_nat            12808  0 
ebtables               30758  1 ebtable_nat
ipt_MASQUERADE         12881  3 
iptable_nat            13384  1 
nf_nat                 25415  2 ipt_MASQUERADE,iptable_nat
xt_CHECKSUM            12550  1 
iptable_mangle         12696  1 
bridge                 91098  0 
stp                    12869  1 bridge
llc                    14046  2 stp,bridge
lockd                  93477  0 
sunrpc                255587  1 lockd
bnep                   19585  2 
bluetooth             317652  7 bnep
be2iscsi               81848  0 
iscsi_boot_sysfs       15642  1 be2iscsi
bnx2i                  54715  0 
cnic                   62654  1 bnx2i
uio                    19045  1 cnic
cxgb4i                 32880  0 
cxgb4                 108493  1 cxgb4i
cxgb3i                 32951  0 
cxgb3                 155602  1 cxgb3i
mdio                   13436  1 cxgb3
libcxgbi               56493  2 cxgb3i,cxgb4i
ib_iser                37813  0 
rdma_cm                42167  1 ib_iser
ib_addr                13786  1 rdma_cm
iw_cm                  18222  1 rdma_cm
ib_cm                  41726  1 rdma_cm
ib_sa                  32956  2 rdma_cm,ib_cm
ib_mad                 46341  2 ib_cm,ib_sa
ib_core                73895  6 rdma_cm,ib_cm,ib_sa,iw_cm,ib_mad,ib_iser
iscsi_tcp              18334  0 
libiscsi_tcp           24177  4 cxgb3i,cxgb4i,iscsi_tcp,libcxgbi
libiscsi               50543  8 libiscsi_tcp,bnx2i,cxgb3i,cxgb4i,be2iscsi,iscsi_tcp,ib_iser,libcxgbi
scsi_transport_iscsi    57491  8 bnx2i,be2iscsi,iscsi_tcp,ib_iser,libcxgbi,libiscsi
ip6t_REJECT            12940  2 
nf_conntrack_ipv6      14531  3 
nf_defrag_ipv6         18178  1 nf_conntrack_ipv6
nf_conntrack_ipv4      14970  6 nf_nat,iptable_nat
nf_defrag_ipv4         12674  1 nf_conntrack_ipv4
xt_state               12579  6 
nf_conntrack           84046  6 ipt_MASQUERADE,nf_nat,xt_state,iptable_nat,nf_conntrack_ipv4,nf_conntrack_ipv6
ip6table_filter        12816  1 
ip6_tables             26943  1 ip6table_filter
snd_hda_codec_hdmi     36274  1 
eeepc_wmi              13152  0 
asus_wmi               24057  1 eeepc_wmi
sparse_keymap          13527  1 asus_wmi
rfkill                 21385  3 bluetooth,asus_wmi
video                  18937  1 asus_wmi
vhost_net              33860  0 
tun                    22939  1 vhost_net
macvtap                18241  1 vhost_net
macvlan                18732  1 macvtap
sp5100_tco             13698  0 
e1000e                240492  0 
microcode              23447  0 
serio_raw              13376  0 
i2c_piix4              13915  0 
edac_core              56456  0 
edac_mce_amd           22772  0 
k10temp                13127  0 
fam15h_power           13120  0 
snd_hda_codec_realtek    78084  1 
snd_hda_intel          37619  2 
snd_hda_codec         126890  3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep              17651  1 snd_hda_codec
snd_seq                64878  0 
snd_seq_device         14137  1 snd_seq
snd_pcm                97547  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         18102  2 snd_pcm,snd_hda_intel
snd_timer              28691  2 snd_pcm,snd_seq
snd                    79380  13 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              14492  1 snd
kvm_amd                55564  0 
kvm                   419459  1 kvm_amd
uinput                 17674  0 
binfmt_misc            17464  1 
xts                    12871  1 
gf128mul               14333  1 xts
dm_crypt               22893  1 
mxm_wmi                12866  0 
crc32c_intel           12902  0 
ghash_clmulni_intel    13221  0 
wmi                    18698  2 mxm_wmi,asus_wmi
usb_storage            60450  0 
radeon                895781  2 
i2c_algo_bit           13258  1 radeon
drm_kms_helper         44758  1 radeon
ttm                    79761  1 radeon
drm                   255061  3 ttm,drm_kms_helper,radeon
i2c_core               38354  5 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon

Comment 3 Josh Boyer 2013-03-12 17:15:51 UTC
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?

Comment 4 Jon Emil Jahren 2013-03-12 18:41:45 UTC
(In reply to comment #3)
> Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?

Sorry about no updates, I almost forgot about this.

I am currently experiencing similar issues not in Linux/Fedora, but on windows, so it is likely there is bad hardware (motherboard/memory) which caused it.
Because of this I think perhaps this should be closed, until I can verify that it is not my hardware which causes it.


Note You need to log in before you can comment on or make changes to this bug.